petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCPARMSSetGlobal

Sets the global preconditioner to be used in PARMS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetGlobal(PC pc,PCPARMSGlobalType type)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| type | - the global preconditioner type, one of Many br

         PC_PARMS_GLOBAL_RAS   - Restricted additive Schwarz
         PC_PARMS_GLOBAL_SCHUR - Schur complement
         PC_PARMS_GLOBAL_BJ    - Block Jacobi

Many br

### Options Database Keys

-pc_parms_global [ras,schur,bj] - Sets global preconditioner Many br

Many br

### Notes

See the pARMS function parms_PCSetType for more information. Many br

### See Also

PCPARMS, PCPARMSSetLocal()

Level:intermediate
Location:src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages